GET api/CareOnsiteClinic/GetOnSitePhysicianAll?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfOnSiteLocationProviderDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of OnSiteLocationProviderDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "ProviderId": 2,
      "PhysicianName": "sample string 3",
      "CareOnSiteLocationId": 4,
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:32:14.9523504-07:00",
      "DateUpdated": "2026-08-04T14:32:14.9523504-07:00",
      "UserIDCreated": 8,
      "UserIDUpdated": 9,
      "Sequence": 1,
      "IsAuthorizedToSignDocument": true,
      "PermissionStatus": true,
      "IsPeerToPeer": true
    },
    {
      "Id": 1,
      "ProviderId": 2,
      "PhysicianName": "sample string 3",
      "CareOnSiteLocationId": 4,
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:32:14.9523504-07:00",
      "DateUpdated": "2026-08-04T14:32:14.9523504-07:00",
      "UserIDCreated": 8,
      "UserIDUpdated": 9,
      "Sequence": 1,
      "IsAuthorizedToSignDocument": true,
      "PermissionStatus": true,
      "IsPeerToPeer": true
    }
  ],
  "totalCount": 3
}